# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: bot/recommender.proto

require 'google/protobuf'

require 'google/api/annotations_pb'

Google::Protobuf::DescriptorPool.generated_pool.build do
  add_file("bot/recommender.proto", :syntax => :proto3) do
    add_message "bot.MergeRequestRecommendationsReq" do
      optional :topN, :int32, 1
      optional :projectId, :int64, 2
      optional :projectName, :string, 3
      optional :projectNamespace, :string, 4
      oneof :MergeRequest do
        optional :mergeRequestByCommit, :message, 5, "bot.MergeRequestRecommendationsReq.MergeRequestByCommit"
        optional :mergeRequestByIid, :message, 6, "bot.MergeRequestRecommendationsReq.MergeRequestByIid"
      end
    end
    add_message "bot.MergeRequestRecommendationsReq.MergeRequestByCommit" do
      optional :sha, :string, 1
      optional :state, :string, 2
    end
    add_message "bot.MergeRequestRecommendationsReq.MergeRequestByIid" do
      optional :iid, :int64, 1
    end
    add_message "bot.MergeRequestRecommendationsRes" do
      optional :version, :string, 1
      optional :topN, :int32, 2
      optional :iid, :int64, 3
      optional :projectId, :int64, 4
      repeated :changes, :string, 5
      repeated :reviewers, :string, 6
    end
    add_message "bot.MergeRequestRecommendationsReqV2" do
      optional :mergeRequestIid, :int64, 1
      optional :topN, :int32, 2
      optional :projectId, :int64, 3
      repeated :changes, :string, 4
      optional :authorUsername, :string, 5
    end
    add_message "bot.MergeRequestRecommendationsResV2" do
      optional :version, :string, 1
      optional :topN, :int32, 2
      repeated :reviewers, :string, 3
    end
    add_message "bot.PostMergeRequestRecommendationsReq" do
      optional :iid, :int64, 1
      optional :projectId, :int64, 2
      repeated :changes, :string, 3
      repeated :reviewers, :string, 4
    end
    add_message "bot.PostMergeRequestRecommendationsRes" do
    end
  end
end

module Bot
  MergeRequestRecommendationsReq = ::Google::Protobuf::DescriptorPool.generated_pool.lookup("bot.MergeRequestRecommendationsReq").msgclass
  MergeRequestRecommendationsReq::MergeRequestByCommit = ::Google::Protobuf::DescriptorPool.generated_pool.lookup("bot.MergeRequestRecommendationsReq.MergeRequestByCommit").msgclass
  MergeRequestRecommendationsReq::MergeRequestByIid = ::Google::Protobuf::DescriptorPool.generated_pool.lookup("bot.MergeRequestRecommendationsReq.MergeRequestByIid").msgclass
  MergeRequestRecommendationsRes = ::Google::Protobuf::DescriptorPool.generated_pool.lookup("bot.MergeRequestRecommendationsRes").msgclass
  MergeRequestRecommendationsReqV2 = ::Google::Protobuf::DescriptorPool.generated_pool.lookup("bot.MergeRequestRecommendationsReqV2").msgclass
  MergeRequestRecommendationsResV2 = ::Google::Protobuf::DescriptorPool.generated_pool.lookup("bot.MergeRequestRecommendationsResV2").msgclass
  PostMergeRequestRecommendationsReq = ::Google::Protobuf::DescriptorPool.generated_pool.lookup("bot.PostMergeRequestRecommendationsReq").msgclass
  PostMergeRequestRecommendationsRes = ::Google::Protobuf::DescriptorPool.generated_pool.lookup("bot.PostMergeRequestRecommendationsRes").msgclass
end
